/* You may want to change this definitions */

//#define DEFAULT_SIGMA_CLIP 3
#define DEFAULT_SIGMA_CLIP 10
//#define DEFAULT_SIGMA_CLIP_SIGMA_CLIP 3

//#define COLOR_CLIP_RED 0.1
#define COLOR_CLIP_RED 0.0
//#define COLOR_CLIP_BLUE 0.2
#define COLOR_CLIP_BLUE 0.0

#define FITS_HEADER_COMMENT_STRING "created by Kirill Sokolovsky (kirx@kirx.net)"

#define LOG_FREQ_BIN 0.05

/* You, propbably, do not want to change anything below this */



#define DEFAULT_MIN_LOGLEV 0.2
#define MAX_NUMBER_OF_LOGLEVS 100
#define FOV_MAS 50.0          /* defauld field of view in mas, override with -f option */
#define MAPSIZE 256            /* is used by get_beam() */
#define MAP_PIXEL_SIZE_MAS 0.03 /* is used by get_beam() */
#define LONGEST_FILENAME 256
#define RMS_STRIPE_PIX 40

#define PGFV_CUTS_PERCENT 100.0
#define LOGSCALE_SHIFT 1.0
#define MAX_NUMBER_OF_FREQUENCIES 100
#define NULL_VAL -11

//#define MIN_NUMBER_GOOD_FREQ 7
#define MIN_NUMBER_GOOD_FREQ 2

#define MAX_LOG_B 2.5
#define MIN_LOG_B -3.0

#include "cpgplot.h"

#include <ctype.h>
#include <unistd.h>
#include <getopt.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>   
#include <fitsio.h>
#include <libgen.h>
#include <math.h>
#include <gsl/gsl_sort.h>
#include <gsl/gsl_statistics.h>
#include <gsl/gsl_fit.h>
